Egnyte Protect must be accessed from a supported browser, or certain features may not function properly. We support the latest 2 versions of the following browsers

  • Chrome
  • Firefox
  • Safari
  • Internet Explorer 11
  • Edge